
var wid = helper.request.queryString("Str");
$(document).ready(function() {
	autosize($('textarea'));
	if(wid) {
		getDetail();
	}
	//保存
	$(".add").on('click', saveQues);
});

//获取详情
function getDetail() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "/Questionnaire/GetPagerInfoModel",
		async: true,
		dataType: "json",
		data: {
			pid: wid,
			token: $.cookie("token"),

		},
		success: function(data) {
			if(data.state.toLowerCase() == 'success') {
				$('.Title').val(data.data.F_Title);
				$("#startText").val(data.data.F_StartText);
				$("#F_Remark").val(data.data.F_Remark);
				$("#endText").val(data.data.F_EndText);
			}
		}
	});
}

//保存
function saveQues() {
	var title = $(".Title").val(); //问卷名称
	var remark = $("#F_Remark").val(); //问卷内容
	if(!$.trim(title)) {
		layer.confirm('问卷名称不能为空！', {
			icon: 2,
			btn: ['确定'] //按钮
		});
		return;
	}
	if(!$.trim($('#startText').val())) {
		layer.confirm('问卷开场语不能为空！', {
			icon: 2,
			btn: ['确定'] //按钮
		});
		return;
	}
	if(!$.trim(remark)) {
		layer.confirm('问卷说明不能为空！', {
			icon: 2,
			btn: ['确定'] //按钮
		});
		return;
	}
	if(!$.trim($('#endText').val())) {
		layer.confirm('问卷结束语不能为空！', {
			icon: 2,
			btn: ['确定'] //按钮
		});
		return;
	}
	$.ajax({
		type: "post",
		url: huayi.config.callcenter_url + "/Questionnaire/CreateOrUpdatePager",
		async: true,
		dataType: "json",
		data: {
			Id: wid,
			Title: title, //问卷标题
			StartText: $('#startText').val(), //问卷开场语
			EndText: $('#endText').val(), //问卷结束语
			Remark: remark, //问卷备注
			token: $.cookie("token"),

		},
		success: function(data) {
			if(data.state.toLowerCase() == 'success') {
				var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
				parent.layer.close(index); //再执行关闭
				parent.$tableLeft1.bootstrapTable('refresh');
				parent.layer.msg(data.message);

			}
		}
	});
}